<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Banco_model extends CI_Model {

    public function listar() {
        return $this->db
            ->order_by('nombre', 'ASC')
            ->get('mt_banco')
            ->result();
    }

    public function listar_activos() {
        return $this->db
            ->where('estado', 1)
            ->order_by('nombre', 'ASC')
            ->get('mt_banco')
            ->result();
    }

    public function obtener($id) {
        return $this->db
            ->where('id', $id)
            ->get('mt_banco')
            ->row();
    }

    public function insertar($data) {
        return $this->db->insert('mt_banco', $data);
    }

    public function actualizar($id, $data) {
        return $this->db
            ->where('id', $id)
            ->update('mt_banco', $data);
    }
}